    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2007, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * -----------------------------
    028 * GradientPaintTransformer.java
    029 * -----------------------------
    030 * (C) Copyright 2003-2007, by Object Refinery Limited.
    031 *
    032 * Original Author:  David Gilbert (for Object Refinery Limited);
    033 * Contributor(s):   -;
    034 *
    035 * $Id: GradientPaintTransformer.java,v 1.4 2007/04/03 12:34:13 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 * 28-Oct-2003 : Version 1 (DG);
    040 *
    041 */
    042
    043package org.jfree.ui;
    044
    045import java.awt.GradientPaint;
    046import java.awt.Shape;
    047
    048/**
    049 * The interface for a class that can transform a <code>GradientPaint</code> to
    050 * fit an arbitrary shape.
    051 *
    052 * @author David Gilbert
    053 */
    054public interface GradientPaintTransformer {
    055
    056    /**
    057     * Transforms a <code>GradientPaint</code> instance to fit some target
    058     * shape.  Classes that implement this method typically return a new
    059     * instance of <code>GradientPaint</code>.
    060     *
    061     * @param paint  the original paint (not <code>null</code>).
    062     * @param target  the reference area (not <code>null</code>).
    063     *
    064     * @return A transformed paint.
    065     */
    066    public GradientPaint transform(GradientPaint paint, Shape target);
    067
    068}